Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/glib-gettextize
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           pidgin-save-conv-order
Version:        1.0
Release:        alt2_14
Summary:        Pidgin plugin to save order
Summary(de):    Pidgin Konversationsreihenfolge speichern
Summary(sr):    Сачувај редослед разговора
Summary(fr):    Enregistrer l'ordre des conversations

License:        GPLv2+
URL:            https://github.com/kgraefe/%{name}
Source0:        https://github.com/kgraefe/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  pidgin-devel
BuildRequires:  libappstream-glib libappstream-glib-gir
BuildRequires:  intltool

Requires:       pidgin

%global plugindir %(pkg-config --variable=plugindir pidgin)
Source44: import.info

%description
This plugin saves the order of the chats and IMs and restores it the next time
you open a conversation.

%description -l de
Dieses Plugin speichert die Reihenfolge von Chats und IMs und stellt diese
wieder her, wenn eine neue Konversation geöffnet wird.

%description -l sr
Овај прикључак чува редослед ћаскања и брзих порука и враћа их приликом
следећег отварања разговора.


%prep
%setup -qn %{name}-%{version}

%build
%configure
%make_build

%install
make install DESTDIR=%{buildroot} plugindir=%{plugindir}
rm -f %{buildroot}%{plugindir}/save_conv_order.{la,a}
%find_lang %{name}

%check
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/appdata/%{name}.metainfo.xml

%files -f %{name}.lang
%doc AUTHORS.md CHANGES.md README.md
%doc --no-dereference COPYING
%{plugindir}/save_conv_order.so
%{_datadir}/appdata/%{name}.metainfo.xml

%changelog
* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 1.0-alt2_14
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 1.0-alt2_13
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 1.0-alt2_12
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 1.0-alt2_11
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 1.0-alt2_10
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_10
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_9
- update to new release by fcimport

* Mon Sep 30 2019 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_8
- new version

